{
  "name": "{{ agave.appsPrefix }}-vcf-consensus-report-gf2",
  "version": "0.1",
  "label": "Generate a QC report from vcf and consensus fasta files",
  "defaultNodeCount": 1,
  "defaultMemoryPerNode": 1,
  "defaultProcessorsPerNode": 1,
  "executionType": "HPC",
  "parallelism": "SERIAL",
  "checkpointable": false,
  "executionSystem": "{{ agave.executionSystem }}",
  "deploymentPath": "{{ agave.appsDir }}/vcf-consensus-report-gf2-0.1",
  "deploymentSystem": "{{ agave.deploymentSystem }}",
  "templatePath": "vcf-consensus-report-gf2.sh",
  "testPath": "test/test.sh",
  "inputs": [
    { "id": "vcf",
      "value": {
        "required": true,
        "default": ""
      }
    },
    { "id": "fasta",
      "value": {
        "required": true,
        "default": ""
      }
    }
  ],
  "parameters": [
    { "id": "output",
      "value": {
        "required": true,
        "type": "string"
      }
    },
    { "id": "exec_method",
      "value": {
        "required": false,
        "default": "auto",
        "type": "string"
      }
    },
    { "id": "exec_init",
      "value": {
        "required": false,
        "default": ":",
        "type": "string"
      }
    }
  ]
}